package com.tanpu.feo.feojob.constant;


/**
 * 员工角色关系表Constant 数据库表字段对应的实体类属性名常量类,
 * 					在编写自定义impl层tk.mybatis方法需要指定属性名时使用
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
public class EmployeeRoleConstant{

	/** 唯一主键 */
	public static final String ID = "id";
	/** 员工id */
	public static final String EMPLOYEE_ID = "employeeId";
	/** 角色id */
	public static final String ROLE_ID = "roleId";
	/** 描述 */
	public static final String DESCRIPTION = "description";
	/** 机构id */
	public static final String ORG_ID = "orgId";
	/** 0未删除，1删除 */
	public static final String DELETE_TAG = "deleteTag";
	/** 创建时间 */
	public static final String CREATE_TIME = "createTime";
	/** 修改时间 */
	public static final String UPDATE_TIME = "updateTime";
	/** 修改人 */
	public static final String UPDATE_BY = "updateBy";
	/** 创建人 */
	public static final String CREATE_BY = "createBy";

	private EmployeeRoleConstant() {}
}
