package com.tanpu.feo.feojob.constant;


/**
 * Constant 数据库表字段对应的实体类属性名常量类,
 * 					在编写自定义impl层tk.mybatis方法需要指定属性名时使用
 * @author zejia zj wu 2021年05月19日
 * @version 1.0
 */
public class IfaAssetsConstant{

	/**  */
	public static final String ID = "id";
	/** 理财师id */
	public static final String IFA_ID = "ifaId";
	/** 持仓总市值 */
	public static final String TOTAL_MARKET = "totalMarket";
	/** 成交总市值 */
	public static final String TRADE_TOTAL_MARKET = "tradeTotalMarket";
	/** 总客户数 */
	public static final String CUSTOMER_NUMBER = "customerNumber";
	/** 成交客户数 */
	public static final String TRADE_CUSTOMER_NUMBER = "tradeCustomerNumber";
	/** 非成交客户数 */
	public static final String NON_TRADE_CUSTOMER_NUMBER = "nonTradeCustomerNumber";
	/** 男客户数 */
	public static final String MALE_CUSTOMER_NUMBER = "maleCustomerNumber";
	/** 女客户数 */
	public static final String FEMALE_CUSTOMER_NUMBER = "femaleCustomerNumber";
	/** 未定义性别客户数 */
	public static final String NO_VALUESEX_CUSTOMER_NUMBER = "noValuesexCustomerNumber";
	/** 持仓盈亏 */
	public static final String HOLD_PROFIT = "holdProfit";
	/** 持仓盈亏率 */
	public static final String HOLD_PROFIT_RATIO = "holdProfitRatio";
	/** 累计收益、累计盈亏 */
	public static final String CUM_PROFIT = "cumProfit";
	/** 成交1  总的 2 */
	public static final String TYPE = "type";
	/** 持仓市值分布 json */
	public static final String MARKET_DISTRIBUTION = "marketDistribution";
	/** 风险偏好分布 json */
	public static final String RISK_DISTRIBUTION = "riskDistribution";
	/**  ifa 业绩走势 */
	public static final String ASSETS_TREND = "assetsTrend";
	/** 客户人数走势 */
	public static final String CUSTOMER_TREND = "customerTrend";
	/** 创建时间 */
	public static final String CREATE_TIME = "createTime";
	/** 更新时间 */
	public static final String UPDATE_TIME = "updateTime";
	/** 正常0 删除1 */
	public static final String DELETE_TAG = "deleteTag";
	/** 成交收益 */
	public static final String TRADE_PROFIT = "tradeProfit";
	/** 成交成本 */
	public static final String TRADE_COST = "tradeCost";
	/** 成交累积收益 */
	public static final String TRADE_CUM_PROFIT = "tradeCumProfit";
	/** 成交收益率 */
	public static final String TRADE_PROFIT_RATIO = "tradeProfitRatio";

	private IfaAssetsConstant() {}
}
