package com.tanpu.feo.feojob.constant;


/**
 * 机构扩展信息表Constant 数据库表字段对应的实体类属性名常量类,
 * 					在编写自定义impl层tk.mybatis方法需要指定属性名时使用
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
public class OrgExtConstant{

	/** 唯一主键 */
	public static final String ID = "id";
	/** 机构id */
	public static final String ORG_ID = "orgId";
	/** 0未删除，1删除 */
	public static final String DELETE_TAG = "deleteTag";
	/** 组织架构管理模式, 1从企业微信同步，2自定义 */
	public static final String MODEL = "model";
	/** 企业微信认证相关key */
	public static final String JSON_WXCP_KEY = "jsonWxcpKey";
	/** 企业微信同步 数据MD5 */
	public static final String MD5_WXCP_DATA = "md5WxcpData";
	/** 创建时间 */
	public static final String CREATE_TIME = "createTime";
	/** 修改时间 */
	public static final String UPDATE_TIME = "updateTime";
	/** 修改人 */
	public static final String UPDATE_BY = "updateBy";
	/** 创建人 */
	public static final String CREATE_BY = "createBy";

	private OrgExtConstant() {}
}
