 package com.tanpu.feo.feojob.entity;

import java.util.Date;

import com.tanpu.feo.feojob.web.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 员工信息表Entity
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Employee extends BaseEntity {

    private static final long serialVersionUID = 1L;
	/** 员工id */
	private String employeeId;
	/** 员工姓名 */
	private String name;
	/** 员工类型 */
	private String type;
	/** 机构id */
	private String orgId;
	/** 员工手机号 */
	private String phone;
	/** 员工邮箱 */
	private String mail;
	/** 职工层级 */
	private Integer level;
	/** 员工绑定的微信 */
	private String boundWechat;
	/** 员工状态 */
	private String status;
	/** 员工工号 */
	private String number;
    /** id 构造器*/
    public Employee(String id) {
       super.setId(id);
    }
}
