 package com.tanpu.feo.feojob.entity;

import java.util.Date;


import com.tanpu.feo.feojob.web.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Entity
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Org extends BaseEntity {

    private static final long serialVersionUID = 1L;
	/** 机构唯一识别码 */
	private String orgCode;
	/** 机构名称 */
	private String orgName;
	/** 自动通过认证 */
	private Integer automaticProcessing;
	/** 是否购买了精选：0：否 1：是 */
	private String isbuySelection;
	/** 是否购买了今日聚焦 0：否 1：是 */
	private String isbuyTodayfocus;
	/** 推送标签 */
	private String arPushLabels;
	/** 功能码 */
	private String funCodes;
	/** 个人主页定制 */
	private String homepageCustom;
	/** 获客内容设置 */
	private String contentSet;
	/** 名片模板 */
	private Integer cardTemplate;
	/** 合格投资者认证开关 */
	private Integer accreditedInvestorSwitch;
	/** 朋友圈助手开关 */
	private Integer friendToolsSwitch;
	/** 机构主体类别 */
	private String tagCategoryId;
	/** 阿里云短信签名 */
	private String aliyunSignName;
	/** 阿里云消息模版ID */
	private String aliyunTempcode;
	/** 阿里云AccessKeyId */
	private String aliyunAccessKeyId;
	/** 阿里云AccessKeySecret */
	private String aliyunAccessKeySecret;
	/** appId标识 */
	private String appId;
	/** AppKey */
	private String appKey;
	/** SecretKey */
	private String secretKey;
	/** 服务到期时间 */
	private Date timeValidity;
	/**  */
	private Integer isCheckSubject;
	/**  */
	private Integer appType;
	/**  */
	private String agentId;
    /** id 构造器*/
    public Org(String id) {
       super.setId(id);
    }
}
