package com.tanpu.feo.feojob.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.tanpu.feo.feojob.entity.IfaAssets;
import com.tanpu.feo.feojob.mapper.IfaAssetsMapper;
import com.tanpu.feo.feojob.service.IfaAssetsService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * ServiceImp
 *
 * @author zejia zj wu 2021年05月19日
 * @version 1.0
 */
@Service("ifaAssetsService")
@Slf4j
@DS("feo_diagnose")
public class IfaAssetsServiceImpl implements IfaAssetsService {

	@Autowired
	private IfaAssetsMapper ifaAssetsMapper;


	@Override
	public IfaAssets findById(String s) {

		return ifaAssetsMapper.selectById(s);
	}

	@Override
	@DS("feo_diagnose")
	public void insertIfaAssets(IfaAssets ifaAssets) {
		ifaAssetsMapper.insert(ifaAssets);
	}
}
